## kwin-style-crystal 0.9.9

=== pics/Makefile ===
All: embedtool

LIBS=-lqt
CXXFLAGS=-I$(QTDIR)/include -L$(QTDIR)/lib $(LIBS) -O2

embedtool: embedtool.cpp

clean:
	rm embedtool

## kwin-style-crystal 2.0.1

=== CMakeLists.txt ===
project(KWIN_CRYSTAL)
set(VERSION 2.0.1)

find_package(KDE4 REQUIRED)

macro_optional_find_package(OpenGL)

include (CPack)
include (MacroLibrary)
include (KDE4Defaults)

macro_optional_find_package(OpenGL)



########### configure tests ###############

# KWIN_HAVE_COMPOSITING - whether any compositing support is available
if( X11_Xcomposite_FOUND AND X11_Xdamage_FOUND )
    set( KWIN_HAVE_COMPOSITING 1 )
endif( X11_Xcomposite_FOUND AND X11_Xdamage_FOUND )

# KWIN_HAVE_OPENGL_COMPOSITING - whether OpenGL-based compositing support is available
if( KWIN_HAVE_COMPOSITING AND OPENGL_FOUND )
    set( KWIN_HAVE_OPENGL_COMPOSITING 1 )
endif( KWIN_HAVE_COMPOSITING AND OPENGL_FOUND )

# KWIN_HAVE_XRENDER_COMPOSITING - whether XRender-based compositing support is available
if( KWIN_HAVE_COMPOSITING AND X11_Xrender_FOUND AND X11_Xfixes_FOUND )
    set( KWIN_HAVE_XRENDER_COMPOSITING 1 )
endif( KWIN_HAVE_COMPOSITING AND X11_Xrender_FOUND AND X11_Xfixes_FOUND )

# safety
if( KWIN_HAVE_OPENGL_COMPOSITING OR KWIN_HAVE_XRENDER_COMPOSITING )
    # ok
else( KWIN_HAVE_OPENGL_COMPOSITING OR KWIN_HAVE_XRENDER_COMPOSITING )
    set( KWIN_HAVE_COMPOSITING ) # unset
endif( KWIN_HAVE_OPENGL_COMPOSITING OR KWIN_HAVE_XRENDER_COMPOSITING )

macro_log_feature(KWIN_HAVE_COMPOSITING "Compositing support" "XComposite and XDamage extensions and OpenGL or XRender with XFixes are required for KWin compositing support" "http://www.x.org/")

macro_bool_to_01( OPENGL_FOUND KWIN_HAVE_OPENGL )

########### global ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1 -DVERSION=\\"${VERSION}\\")
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/lib
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    ${CMAKE_CURRENT_SOURCE_DIR}/effects
    )


add_subdirectory( client )

=== client/CMakeLists.txt ===

add_subdirectory( config )

########### next target ###############

set(kwin3_crystal_PART_SRCS
   buttonimage.cpp
   crystalbutton.cpp
   crystalclient.cpp
   )


kde4_add_plugin(kwin3_crystal ${kwin3_crystal_PART_SRCS})

target_link_libraries(kwin3_crystal ${KDE4_KDEUI_LIBS} kdecorations )

install(TARGETS kwin3_crystal  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES crystal.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/ )

=== client/config/CMakeLists.txt ===



########### next target ###############

set(kwin_crystal_config_PART_SRCS crystalconfig.cpp )


kde4_add_ui_files(kwin_crystal_config_PART_SRCS configdialog.ui infodialog.ui)

kde4_add_plugin(kwin_crystal_config ${kwin_crystal_config_PART_SRCS})



target_link_libraries(kwin_crystal_config  kdeui kio ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS kwin_crystal_config  DESTINATION ${PLUGIN_INSTALL_DIR} )

## kwin-style-crystal 2.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(KWIN_CRYSTAL)
-set(VERSION 2.0.1)
+set(VERSION 2.0.5)
 
 find_package(KDE4 REQUIRED)
 
@@ -44,7 +44,7 @@
 ########### global ###############
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1 -DVERSION=\\"${VERSION}\\")
-include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
+include_directories (${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}/lib
@@ -54,4 +54,5 @@
     )
 
 
+add_subdirectory( pics )
 add_subdirectory( client )

=== client/CMakeLists.txt ===
add_subdirectory( config )


##### Geneates tiles.h from button images. List subfolders of $top/pics/ that contain *.png files you want to include
set (PICS
	default
	aqua
	handpainted
	knifty
	kubuntu-dapper
	kubuntu-edgy
	kubuntu-feisty
	kubuntu-hardy
	svg
	vista
    )
set (OVERLAYS
	glass_overlay
	lighting_overlay
	steel_overlay
    )
set (LOGOS
	kde
	tux
	gentoo
	kubuntu
	ubuntu
	opensuse
	pclinuxos
    )

set (PICS_SOURCES)
foreach(dir ${PICS})
   set (PICS_SOURCES ${PICS_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/../pics/${dir}/*.png)
endforeach(dir)

add_custom_command (
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tiles.h
   COMMAND embedtool ${PICS_SOURCES} > ${CMAKE_CURRENT_BINARY_DIR}/tiles.h
   DEPENDS ${PICS_SOURCES}
   )

##### Geneates overlays.h from button images. List files in $top/pics that are to be used as overlay
set (OVERLAY_SOURCES)
foreach(file ${OVERLAYS})
   set (OVERLAY_SOURCES ${OVERLAY_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/../pics/${file}.png)
endforeach(file)

add_custom_command (
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/overlays.h
   COMMAND embedtool ${OVERLAY_SOURCES} > ${CMAKE_CURRENT_BINARY_DIR}/overlays.h
   DEPENDS ${OVERLAY_SOURCES}
   )

##### Geneates logos.h from logo images. List files in $top/pics/logos that are to be used as overlay
set (LOGOS_SOURCES)
foreach(file ${LOGOS})
   set (LOGOS_SOURCES ${LOGOS_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/../pics/logos/${file}.png)
endforeach(file)

add_custom_command (
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/logos.h
   COMMAND embedtool ${LOGOS_SOURCES} > ${CMAKE_CURRENT_BINARY_DIR}/logos.h
   DEPENDS ${LOGOS_SOURCES}
   )

##### Target #####
set(kwin3_crystal_PART_SRCS
   buttonimage.cpp
   crystalbutton.cpp
   crystalclient.cpp
   ${CMAKE_CURRENT_BINARY_DIR}/tiles.h
   ${CMAKE_CURRENT_BINARY_DIR}/overlays.h
   ${CMAKE_CURRENT_BINARY_DIR}/logos.h
   )

kde4_add_plugin(kwin3_crystal ${kwin3_crystal_PART_SRCS})
target_link_libraries(kwin3_crystal ${KDE4_KDEUI_LIBS} kdecorations )

install(TARGETS kwin3_crystal  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES crystal.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/ )

=== debian/changelog ===
kwin-style-crystal (2.0.5-2) unstable; urgency=low

  * Switch to source format "3.0 (quilt)".
  * Bump Standards-Version to 3.9.1, no changes required.
  * Improve description and fix typos in it. (Closes: #602427)
  * Update packaging copyright.

 -- Pino Toscano <pino@kde.org>  Tue, 15 Mar 2011 12:32:59 +0100

kwin-style-crystal (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add the cmake build dependency, as it is no more provided by kdelibs5-dev.
    (Closes: #581279)
  * Convert to dh7:
    - bump debhelper build dependency to >= 7.3.16
    - bump pkg-kde-tools build dependency to >= 0.5
    - remove cdbs build dependency
    - add AUTHORS to the docs file
    - specify a custom build directory to avoid clashing with the existing
      'build' directory in the sources
  * Remove quilt build dependency, no more useful.
  * Bump Standards-Version to 3.8.4, no changes required.
  * Set the source format to 1.0, for now.
  * Update copyright.
  * Add "DM-Upload-Allowed: yes" to source section of control.

 -- Pino Toscano <pino@kde.org>  Wed, 12 May 2010 19:58:34 +0200

kwin-style-crystal (2.0.3-1) unstable; urgency=low

  * New upstream release, aimed for KDE 4. (Closes: #522569)
    - Update dependencies to KDE 4.
    - Switch rules to pkg-kde-tools + CDBS.
  * Set the kde-extras team as maintainer, putting Hai Zaar and myself as
    uploaders.
  * Update copyright, adopt the DEP 5 (r48).
  * Bump compat to 7.
  * Bump Standards-Version to 3.8.1, no changes required.
  * Remove dirs file, unneeded.
  * Add Homepage field in control.
  * Remove old conflict with 'crystal' package, not even present in Etch.

 -- Pino Toscano <pino@kde.org>  Mon, 13 Apr 2009 16:10:20 +0200

kwin-style-crystal (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Updated linker flags to link only necessary libraries

 -- Hai Zaar <haizaar@haizaar.com>  Wed,  9 Jul 2008 12:08:31 +0300

kwin-style-crystal (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <debian@pusling.com>  Thu, 12 Oct 2006 09:56:35 +0200

kwin-style-crystal (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <debian@pusling.com>  Thu, 28 Sep 2006 15:46:15 +0200

kwin-style-crystal (1.0.0-1) unstable; urgency=low

  * Initial release Closes: #364360

 -- Sune Vuorela <debian@pusling.com>  Wed,  5 Apr 2006 21:07:23 +0000

=== debian/control ===
Source: kwin-style-crystal
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Hai Zaar <haizaar@haizaar.com>, Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake,
 kdelibs5-dev (>= 4:4.2.2), kdebase-workspace-dev (>= 4:4.2.2), libx11-dev
Standards-Version: 3.9.1
Homepage: http://kde-look.org/content/show.php/Crystal?content=75140
DM-Upload-Allowed: yes

Package: kwin-style-crystal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: semi transparent window decoration for KDE
 Crystal is a pretty simple and clean theme, which also provides pseudo
 transparent title bar, buttons and borders, and round corners as well.
 Transparency and buttons can be customized to match your wishes.
 .
 And it is of course nice to look at. Upstream says:
 "- Don't forget to breathe, while drooling."

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with kde --builddirectory=debbuild $@

## kwin-style-crystal 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(KWIN_CRYSTAL)
set(VERSION 2.2.0)

find_package(KDE4 REQUIRED)

include (CPack)
include (MacroLibrary)
include (KDE4Defaults)

# macro_optional_find_package(OpenGL)



########### configure tests ###############

# KWIN_HAVE_COMPOSITING - whether any compositing support is available
#if( X11_Xcomposite_FOUND AND X11_Xdamage_FOUND )
#    set( KWIN_HAVE_COMPOSITING 1 )
#endif( X11_Xcomposite_FOUND AND X11_Xdamage_FOUND )

# KWIN_HAVE_OPENGL_COMPOSITING - whether OpenGL-based compositing support is available
#if( KWIN_HAVE_COMPOSITING AND OPENGL_FOUND )
#    set( KWIN_HAVE_OPENGL_COMPOSITING 1 )
#endif( KWIN_HAVE_COMPOSITING AND OPENGL_FOUND )

# KWIN_HAVE_XRENDER_COMPOSITING - whether XRender-based compositing support is available
#if( KWIN_HAVE_COMPOSITING AND X11_Xrender_FOUND AND X11_Xfixes_FOUND )
#    set( KWIN_HAVE_XRENDER_COMPOSITING 1 )
#endif( KWIN_HAVE_COMPOSITING AND X11_Xrender_FOUND AND X11_Xfixes_FOUND )

# safety
#if( KWIN_HAVE_OPENGL_COMPOSITING OR KWIN_HAVE_XRENDER_COMPOSITING )
    # ok
#else( KWIN_HAVE_OPENGL_COMPOSITING OR KWIN_HAVE_XRENDER_COMPOSITING )
#    set( KWIN_HAVE_COMPOSITING ) # unset
#endif( KWIN_HAVE_OPENGL_COMPOSITING OR KWIN_HAVE_XRENDER_COMPOSITING )

#macro_log_feature(KWIN_HAVE_COMPOSITING "Compositing support" "XComposite and XDamage extensions and OpenGL or XRender with XFixes are required for KWin compositing support" "http://www.x.org/")

#macro_bool_to_01( OPENGL_FOUND KWIN_HAVE_OPENGL )

########### global ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1 -DVERSION=\\"${VERSION}\\")
include_directories (${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/lib
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    ${CMAKE_CURRENT_SOURCE_DIR}/effects
    )


add_subdirectory( pics )
add_subdirectory( client )

=== debian/changelog ===
kwin-style-crystal (2.2.0-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1035720)
  * Bump debhelper compat level to v9 which exports build flags.
  * Drop kubuntu_01_fix_rounded_corners.diff as it seems to make things worse.
  * Bump build-depends to require at least KDE 4.9.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 23 Aug 2012 18:31:30 +0200

kwin-style-crystal (2.0.5-2ubuntu2) quantal; urgency=low

  * No-change rebuild against libkdecorations4abi1.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 10 Jun 2012 00:31:12 +0200

kwin-style-crystal (2.0.5-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add kubuntu_01_fix_rounded_corners.diff to fix the unrounded corners
      regression
  * Refresh kubuntu_01_fix_rounded_corners.diff to apply cleanly.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 02 Nov 2011 18:06:20 +0100

kwin-style-crystal (2.0.5-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Add kubuntu_01_fix_rounded_corners.diff to fix the unrounded corners
      regression

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 04 Jun 2010 18:59:24 +0200

kwin-style-crystal (2.0.5-0ubuntu2) maverick; urgency=low

  * Add a build-depend on cmake since kdelibs5-dev doesn't anymore

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 00:04:35 -0400

kwin-style-crystal (2.0.5-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Bump on Standards-Version

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 14 Aug 2009 15:36:15 +0200

kwin-style-crystal (2.0.3-1ubuntu2) karmic; urgency=low

  * Sync packaging excepting debian/changelog with Debian.
  * Add kubuntu_01_fix_rounded_corners.diff to fix the unrounded corners
    regression

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 01 Aug 2009 19:40:31 -0400

kwin-style-crystal (2.0.3-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining change:
    - Use kde4.mk rather than debian's kde.mk
    - Don't build-depend on pkg-kde-tools
  * Remove unneeded quilt build-dep
  * Fix bad debian/changelog entry (typo, causing debuild to complain a bit)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Apr 2009 18:02:41 -0400

kwin-style-crystal (2.0.1-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #236173)
  * now for kde4

 -- Alexander Kopf <kopf-alexander@gmx.de>  Thu, 03 Jul 2008 14:39:11 +0200

kwin-style-crystal (1.0.5-0ubuntu4) hardy; urgency=low

  * Update kubuntu_02_hardyfication.diff, all buttons are in now

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 11 Mar 2008 10:25:13 +0100

kwin-style-crystal (1.0.5-0ubuntu3) hardy; urgency=low

  * Added hardyfication patch by Stefan Skotte
  * Fixed packaging to use cdbs
  * Buildprep applied due to Makefile changes

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 16 Feb 2008 13:55:32 +0100

kwin-style-crystal (1.0.5-0ubuntu2) hardy; urgency=low

  * removed shadow on inactive windows

 -- Stefan Skotte <sfs@enhance-it.dk>  Tue, 05 Feb 2008 14:46:34 +0100

kwin-style-crystal (1.0.5-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Changed Maintainer as per Ubuntu spec.
  * Bumped compat file and debhelper to version 5.
  * Removed kubuntu_01_edgy_feisty.diff.uu - applied upstream.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Sat, 27 Oct 2007 19:59:54 +0200

kwin-style-crystal (1.0.2-1ubuntu1) feisty; urgency=low

  * Sync with debian.
  * Removed obsolete patch kubuntu_01_new_buttons.diff.uu
  * Added kubuntu_01_edgy_feisty.diff.uu, fixes edgy themes
    and renames it to Edgy/Feisty

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 22 Jan 2007 12:59:21 +0100

kwin-style-crystal (1.0.1-0ubuntu6) edgy; urgency=low

  * Improved buttons from Ken Wimer

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Wed, 20 Sep 2006 11:54:18 -0500

kwin-style-crystal (1.0.1-0ubuntu5) edgy; urgency=low

  * Fix patch kubuntu_01_new_buttons.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Aug 2006 15:07:56 +0100

kwin-style-crystal (1.0.1-0ubuntu4) edgy; urgency=low

  * Improved close buttons from Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Aug 2006 11:57:33 +0100

kwin-style-crystal (1.0.1-0ubuntu3) edgy; urgency=low

  * Improved buttons from Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Aug 2006 14:44:47 +0100

kwin-style-crystal (1.0.1-0ubuntu2) edgy; urgency=low

  * Add kubuntu_01_new_buttons.diff.uu with new Edgy buttons
    from Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Aug 2006 18:42:24 +0100

kwin-style-crystal (1.0.1-0ubuntu1) edgy; urgency=low

  * New Upstream Version
  * Merge with Debian
  * Kubuntu patches removed, merged upstream

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 28 Jul 2006 00:56:02 +1000

kwin-style-crystal (0.9.9-0ubuntu4) dapper; urgency=low

  * Add missing build-dep on sharutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Apr 2006 20:27:43 +0200

kwin-style-crystal (0.9.9-0ubuntu3) dapper; urgency=low

  * Add kubuntu_02_new_images.diff and
    kubuntu_03_new_theme.diff with new style from Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Apr 2006 23:55:07 +0100

kwin-style-crystal (0.9.9-0ubuntu2) dapper; urgency=low

  * Add kubuntu_01_branch.diff to include transparency
    turn off feature

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 Mar 2006 15:04:13 +0100

kwin-style-crystal (0.9.9-0ubuntu1) dapper; urgency=low

  [ Jonathan Patrick Davies ]
  * Initial release.

  [ Jonathan Riddell ]
  * GPL licence confirmed with author,
    he sent me a new tar with COPYING file included

 -- Jonathan Patrick Davies <jpatrick@ubuntu.com>  Mon, 20 Feb 2006 16:12:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kwin-style-crystal
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Hai Zaar <haizaar@haizaar.com>, Pino Toscano <pino@kde.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake,
- kdelibs5-dev (>= 4:4.2.2), kdebase-workspace-dev (>= 4:4.2.2), libx11-dev
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
+ kdelibs5-dev (>= 4:4.9), kdebase-workspace-dev (>= 4:4.9), libx11-dev
 Standards-Version: 3.9.1
 Homepage: http://kde-look.org/content/show.php/Crystal?content=75140
 DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,5 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --with kde --builddirectory=debbuild $@
+	dh $@ --with kde --builddirectory=debbuild

## kwin-style-crystal 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(KWIN_CRYSTAL)
-set(VERSION 2.2.0)
+set(VERSION 2.2.1)
 
 find_package(KDE4 REQUIRED)

=== client/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	kubuntu-hardy
 	svg
 	vista
+	glass-pill
     )
 set (OVERLAYS
 	glass_overlay
@@ -69,6 +70,7 @@
    buttonimage.cpp
    crystalbutton.cpp
    crystalclient.cpp
+   crystalfactory.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/tiles.h
    ${CMAKE_CURRENT_BINARY_DIR}/overlays.h
    ${CMAKE_CURRENT_BINARY_DIR}/logos.h

=== pics/CMakeLists.txt ===
########### next target ###############

add_executable(embedtool
   embedtool.cpp
   )

target_link_libraries(embedtool ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} )

=== client/config/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 kde4_add_ui_files(kwin_crystal_config_PART_SRCS configdialog.ui infodialog.ui)
-
+qt4_add_resources(kwin_crystal_config_PART_SRCS configdialog.qrc)
 kde4_add_plugin(kwin_crystal_config ${kwin_crystal_config_PART_SRCS})

=== debian/changelog ===
kwin-style-crystal (2.2.1-2ubuntu1) saucy; urgency=low

  * Depend on kde-workspace-dev (>= 4:4.10.97-0ubuntu2) to pick up
    libx11-xcb-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 01 Aug 2013 11:57:29 +0100

kwin-style-crystal (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Change my email address to @debian.org.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2013 09:41:33 +0200

kwin-style-crystal (2.2.1-1) experimental; urgency=low

  * Team upload.
  * New upstream version. (Closes: #684958)
  * Bump build-depends to require at least KDE 4.9.
  * Bump debhelper compat level to v9 which exports build flags.
  * Append -Wl,--as-needed to LDFLAGS.
  * Enable parallel building.
  * Remove Hai Zaar from the uploaders list. (Closes: #673657)
  * Add watch file, thanks to Bart Martens.
  * Update debian/docs for new readme filename.
  * Drop obsolete DM-Upload-Allowed control field.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add Vcs control fields.
  * Update copyright file to format 1.0 and adapt to the new upstream version.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 11 May 2013 13:53:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kwin-style-crystal
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Hai Zaar <haizaar@haizaar.com>, Pino Toscano <pino@kde.org>
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
- kdelibs5-dev (>= 4:4.9), kdebase-workspace-dev (>= 4:4.9), libx11-dev
-Standards-Version: 3.9.1
+ kdelibs5-dev (>= 4:4.9), kde-workspace-dev (>= 4:4.10.97-0ubuntu2), libx11-dev
+Standards-Version: 3.9.4
 Homepage: http://kde-look.org/content/show.php/Crystal?content=75140
-DM-Upload-Allowed: yes
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kwin-style-crystal.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kwin-style-crystal.git
 
 Package: kwin-style-crystal
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kde --builddirectory=debbuild --parallel

=== debian/watch ===
version=3
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=kdelook/75140 .*=(?:\d+-)?crystal-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
